Page MenuHomePhabricator

allow batch mode uploads of images
Closed, ResolvedPublic

Description

Originally from: http://sourceforge.net/p/pywikipediabot/feature-requests/189/
Reported by: janalynn
Created on: 2009-04-20 15:33:38
Subject: allow batch mode uploads of images
Original description:
I was searching for help and came across others with my concern. This request might have already been made, but I didn't find it when I performed a search. Thank you for your help\!

Batch Uploads?

Is there any way to "upload" a large batch of pictures to a local instance of mediawiki? Is there a workaround? I know this sounds stupid \(just link to them\) but I'd like them to have pages, thumbnails, etc...

http://pywikipediabot.sf.net/

A: There is no current way that I know \(as of v1.4.2\) .. I have the same concern.. it would be nice to be able to batch upload. -- Sy / \(talk\)


Version: core-(2.0)
Severity: enhancement
See Also:
https://sourceforge.net/p/pywikipediabot/feature-requests/189

Details

Reference
bz55088
Related Gerrit Patches:

Related Objects

StatusAssignedTask
InvalidNone
OpenNone
OpenNone
ResolvedRicordisamoa
ResolvedLadsgroup
ResolvedXqt
Resolvedjayvdb
OpenXqt
DeclinedNone
ResolvedAbdealiJK
ResolvedNone
ResolvedDrTrigon
ResolvedAbdealiJK
ResolvedDrTrigon
ResolvedDrTrigon
ResolvedNone
ResolvedNone
ResolvedDrTrigon
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedAbdealiJK
ResolvedAbdealiJK
ResolvedAbdealiJK
ResolvedDrTrigon
ResolvedAbdealiJK
ResolvedDrTrigon
DeclinedNone
ResolvedAbdealiJK
ResolvedAbdealiJK
ResolvedNone
OpenNone
ResolvedXqt
Resolveddroid
OpenNone
OpenNone
ResolvedNone
Resolveddroid
ResolvedMpaa
Resolveddroid
ResolvedXqt
ResolvedXqt
ResolvedNone
Resolvedjayvdb
ResolvedNone
OpenNone
Resolvedmurfel
Resolveddroid
ResolvedDvorapa
Opendroid
OpenNone
OpenNone
OpenRicordisamoa
ResolvedNone
ResolvedLegoktm
ResolvedLegoktm
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
OpenNone
Resolveddroid
ResolvedMpaa
Resolvedjayvdb
ResolvedNone
OpenNone
ResolvedNone
DuplicateOmegat
OpenNone
Resolvedvalhallasw
ResolvedMpaa
OpenXqt
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:19 AM
bzimport added a project: Pywikibot-General.
bzimport set Reference to bz55088.
bzimport added a subscriber: Unknown Object (????).
Legoktm created this task.Oct 5 2013, 4:22 AM
jayvdb moved this task from Backlog to pywikibot on the Google-Code-in-2014 board.
murfel claimed this task.Dec 8 2014, 2:33 PM
jayvdb added a comment.Dec 9 2014, 3:01 AM

Copying the relevant part of the CGI task description:

The upload.py script should be enhanced so that:

  1. the class "UploadRobot" supports uploading a list of files to a MediaWiki site, and
  2. the main() function allows command line options that can be used to instruct the bot to upload all files contained within a local directory using the same description for each upload file.

Change 179149 had a related patch set uploaded (by Murfel):
Added a list of urls upload support

https://gerrit.wikimedia.org/r/179149

Patch-For-Review

Change 179149 merged by jenkins-bot:
Added a list of urls upload support

https://gerrit.wikimedia.org/r/179149

Xqt closed this task as Resolved.Apr 24 2017, 1:56 PM